## haskell-quickcheck-classes 0.6.5.0

=== debian/changelog ===
haskell-quickcheck-classes (0.6.5.0-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Oct 2024 12:46:45 +0300

haskell-quickcheck-classes (0.6.5.0-2) unstable; urgency=medium

  * Gratuitous post-NEW source upload.

 -- Clint Adams <clint@debian.org>  Mon, 23 Oct 2023 13:30:08 -0400

haskell-quickcheck-classes (0.6.5.0-1) unstable; urgency=low

  * Initial release

 -- Clint Adams <clint@debian.org>  Sun, 22 Oct 2023 13:12:32 -0400
